Loading...
Searching...
No Matches
V4PCIToneGen Class Reference

`V4PCI` tone generator specialisation More...

Inheritance diagram for V4PCIToneGen:
Collaboration diagram for V4PCIToneGen:

## Public Member Functions

| V4PCIToneGen (Comm *comm, unsigned int cardnum)
| Constructor.
Public Member Functions inherited from ToneGen
| ToneGen ()
| Default constructor.
virtual | ~ToneGen ()
| Virtual destructor.
void | Start (Config *tone, bool sync=false)
| Begin generation of a single tone.
void | Stop ()
| Stop tone generation.
State | GetState () const
| Return the current state of this `ToneGen`.
void | BeginSequence (Config *tone, bool sync=false)
| Prepare the tone generator for playing a sequence of related tones.
void | ContinueSequence ()
| Begin the next discrete tone in an atomic sequence.
void | EndSequence ()
| Signal the completion of an atomic sequence of tones.
void | SignalCompletion ()
| Notify the tone generator of an external completion event.
Config & | GetConfig () const
| Return the `ToneGen::Config` data.

## Protected Member Functions

State | ImplStart ()
| Called by `Start()` for implementation specific operations.
void | ImplStop ()
| Called by `Stop()` for implementation specific operations.

## Additional Inherited Members

Public Types inherited from ToneGen
enum | State { IDLE , SEQUENCE , CONTINUOUS , ONESHOT }
| `ToneGen` state information More...
typedef std::vector< ToneGen * > | List
| Container type for a list of pointers to `ToneGen` structures.
typedef void(* | CompletionCallback) (ToneGen &)
| Call back type for tone completion notification.

## Detailed Description

`V4PCI` tone generator specialisation

## Constructor & Destructor Documentation

## V4PCIToneGen()

V4PCIToneGen::V4PCIToneGen | ( | Comm * | comm,
|  | unsigned int | cardnum )

inline

Constructor.

Parameters

  comm | The `Comm` object for this card.
  cardnum | The number of this card.

## Member Function Documentation

## ImplStart()

State V4PCIToneGen::ImplStart | ( |  | ) |

inline protected virtual

Called by `Start()` for implementation specific operations.

Implements ToneGen.

References ToneGen::GetConfig(), ToneGen::Config::GetNextCadence(), ToneGen::Config::GetNextFreqs(), ToneGen::Config::GetUserData(), and ToneGen::ONESHOT.

## ImplStop()

void V4PCIToneGen::ImplStop | ( |  | ) |

inline protected virtual

Called by `Stop()` for implementation specific operations.

Reimplemented from ToneGen.

References ToneGen::GetConfig().